[geos-commits] r3308 - trunk/tools
svn_geos at osgeo.org
svn_geos at osgeo.org
Wed Apr 27 11:33:12 EDT 2011
Author: strk
Date: 2011-04-27 08:33:11 -0700 (Wed, 27 Apr 2011)
New Revision: 3308
Added:
trunk/tools/findclassfiles
Log:
Utility script to help with editing all files of a class
Added: trunk/tools/findclassfiles
===================================================================
--- trunk/tools/findclassfiles (rev 0)
+++ trunk/tools/findclassfiles 2011-04-27 15:33:11 UTC (rev 3308)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if test "x${1}" = "x"; then
+ echo "Usage: $0 <classname>" >&2
+ exit 1
+fi
+
+classname="${1}"
+
+# TODO: skip directory-only matches
+find . -name '*.h' -o -name '*.inl' -o -name '*.cpp' | grep -i "${classname}"
Property changes on: trunk/tools/findclassfiles
___________________________________________________________________
Added: svn:executable
+ *
More information about the geos-commits
mailing list